%define oname	gusb

%define major	2
%define libname	%mklibname %{oname} %{major}
%define devname	%mklibname %{oname} -d

Summary:	GLib wrapper around libusb1
Name:		libgusb
Version:	0.1.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitorious.org/gusb/
Source0:	http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-devel vala-tools

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{libname}
Summary:	GLib wrapper around libusb1
Group:		System/Libraries

%description -n %{libname}
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{devname}
Summary:	Development libraries and headers for %{oname}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{oname}.

%prep
%setup -q

%build
%configure2_5x \
        --disable-static

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README AUTHORS NEWS COPYING
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files -n%{devname}
%doc %{_datadir}/gtk-doc/html/%{oname}
%{_includedir}/%{oname}-1
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.vapi


%changelog

* Wed Mar 06 2013 luigiwalser <luigiwalser> 0.1.6-1.mga3
+ Revision: 401585
- 0.1.6

* Tue Feb 12 2013 luigiwalser <luigiwalser> 0.1.5-1.mga3
+ Revision: 397939
- 0.1.5

* Sat Jan 12 2013 umeabot <umeabot> 0.1.4-2.mga3
+ Revision: 357434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.1.4-1.mga3
+ Revision: 338444
- 0.1.4

* Tue Dec 06 2011 wally <wally> 0.1.3-1.mga2
+ Revision: 177893
- new version 0.1.3

* Mon Nov 28 2011 wally <wally> 0.1.2-1.mga2
+ Revision: 173792
- imported package libgusb

